matrix:
  bazel: [7.x, 8.x]
  platform: ["debian10", "macos", "rockylinux8", "ubuntu2004"]

tasks:
  verify_targets:
    name: Verify build targets
    bazel: ${{ bazel }}
    platform: ${{ platform }}
    build_targets:
    - '@rules_shtk//:all'

bcr_test_module:
  module_path: examples/bzlmod/binary
  matrix:
    bazel: [7.x, 8.x]
    platform: ["debian10", "macos", "rockylinux8", "ubuntu2004"]
  tasks:
    run_test_module:
      name: Run test module
      bazel: ${{ bazel }}
      platform: ${{ platform }}
      build_targets:
      - //...
